> ## Documentation Index
> Fetch the complete documentation index at: https://docs.cdp.coinbase.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Perpetuals Position

> Get a specific open position on Intx

<Warning>
  **Deprecated — retires at cutover.** This INTX perpetuals endpoint is being replaced by the [Deribit-powered derivatives gateway](/coinbase-app/advanced-trade-apis/guides/derivatives/overview). Migrate before the cutover — see the [Migration Overview](/coinbase-app/advanced-trade-apis/guides/derivatives/overview).
</Warning>


## OpenAPI

````yaml GET /api/v3/brokerage/intx/positions/{portfolio_uuid}/{symbol}
openapi: 3.1.0
info:
  title: Coinbase Advanced Trade API
  version: '0.1'
servers:
  - url: https://api.coinbase.com
security:
  - ApiKey: []
  - OAuth2: []
paths:
  /api/v3/brokerage/intx/positions/{portfolio_uuid}/{symbol}:
    get:
      tags:
        - Perpetuals
      summary: Get Perpetuals Position
      description: Get a specific open position on Intx
      operationId: RetailBrokerageApi_GetIntxPosition
      parameters:
        - name: portfolio_uuid
          description: The portfolio UUID.
          in: path
          required: true
          schema:
            type: string
        - name: symbol
          description: The trading pair (e.g. 'BTC-PERP-INTX').
          in: path
          required: true
          schema:
            type: string
      responses:
        '200':
          description: A successful response.
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/coinbase.retail.rest.proxy.intx.GetPositionResponse
            text/event-stream:
              schema:
                $ref: >-
                  #/components/schemas/coinbase.retail.rest.proxy.intx.GetPositionResponse
        default:
          description: An unexpected error response.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/grpc.gateway.runtime.Error'
            text/event-stream:
              schema:
                $ref: '#/components/schemas/grpc.gateway.runtime.Error'
      security:
        - ApiKey:
            - view
        - OAuth2:
            - wallet:transactions:read
components:
  schemas:
    coinbase.retail.rest.proxy.intx.GetPositionResponse:
      type: object
      properties:
        position:
          allOf:
            - $ref: '#/components/schemas/coinbase.retail.rest.proxy.intx.Position'
    grpc.gateway.runtime.Error:
      type: object
      properties:
        error:
          type: string
        code:
          type: integer
          format: int32
        message:
          type: string
        details:
          type: array
          items:
            type: object
            additionalProperties: true
    coinbase.retail.rest.proxy.intx.Position:
      type: object
      properties:
        product_id:
          type: string
          description: The unique identifier of the instrument the position is in.
        product_uuid:
          type: string
          description: The unique identifier of the instrument the position is in.
        portfolio_uuid:
          type: string
          description: The portfolio UUID.
        symbol:
          type: string
          description: The trading pair (e.g. 'BTC-PERP-INTX').
        vwap:
          allOf:
            - $ref: '#/components/schemas/coinbase.retail.rest.proxy.intx.Amount'
        entry_vwap:
          allOf:
            - $ref: '#/components/schemas/coinbase.retail.rest.proxy.intx.Amount'
        position_side:
          allOf:
            - $ref: '#/components/schemas/coinbase.intx_common.PositionSide'
        margin_type:
          allOf:
            - $ref: '#/components/schemas/coinbase.intx_common.PortfolioMarginType'
        net_size:
          type: string
          description: >-
            The size of the position with positive values reflecting a long
            position and negative values reflecting a short position.
        buy_order_size:
          type: string
          description: Cumulative size of all the open buy orders
        sell_order_size:
          type: string
          description: Cumulative size of all the open sell orders
        im_contribution:
          type: string
          description: The amount this position contributes to the initial margin
        unrealized_pnl:
          allOf:
            - $ref: '#/components/schemas/coinbase.retail.rest.proxy.intx.Amount'
        mark_price:
          allOf:
            - $ref: '#/components/schemas/coinbase.retail.rest.proxy.intx.Amount'
        liquidation_price:
          allOf:
            - $ref: '#/components/schemas/coinbase.retail.rest.proxy.intx.Amount'
        leverage:
          type: string
          description: The leverage of this position
        im_notional:
          allOf:
            - $ref: '#/components/schemas/coinbase.retail.rest.proxy.intx.Amount'
        mm_notional:
          allOf:
            - $ref: '#/components/schemas/coinbase.retail.rest.proxy.intx.Amount'
        position_notional:
          allOf:
            - $ref: '#/components/schemas/coinbase.retail.rest.proxy.intx.Amount'
        aggregated_pnl:
          allOf:
            - $ref: '#/components/schemas/coinbase.retail.rest.proxy.intx.Amount'
    coinbase.retail.rest.proxy.intx.Amount:
      type: object
      properties:
        value:
          type: string
          description: Value of the Amount
        currency:
          type: string
          description: >-
            The currency to be allocated for the specific isolated position
            (e.g. USD, BTC, etc).
      title: Message that represents the monetary amount.
    coinbase.intx_common.PositionSide:
      type: string
      enum:
        - POSITION_SIDE_UNKNOWN
        - POSITION_SIDE_LONG
        - POSITION_SIDE_SHORT
      default: POSITION_SIDE_UNKNOWN
    coinbase.intx_common.PortfolioMarginType:
      type: string
      enum:
        - MARGIN_TYPE_UNSPECIFIED
        - MARGIN_TYPE_CROSS
        - MARGIN_TYPE_ISOLATED
      default: MARGIN_TYPE_UNSPECIFIED
  securitySchemes:
    ApiKey:
      type: http
      scheme: bearer
      bearerFormat: JWT
      description: >-
        A bearer token signed using your API Key Secret, see [Creating API
        Keys](/coinbase-app/authentication-authorization/api-key-authentication)
        section of our docs for more information. See [Scope &
        Permissions](/coinbase-app/advanced-trade-apis/rest-scopes) for the
        permission each endpoint requires.
    OAuth2:
      type: oauth2
      description: >-
        An OAuth 2.0 access token from the Coinbase App OAuth2 flow. See [Scope
        & Permissions](/coinbase-app/advanced-trade-apis/rest-scopes) for the
        scope each endpoint requires.
      flows:
        authorizationCode:
          authorizationUrl: https://login.coinbase.com/oauth2/auth
          tokenUrl: https://login.coinbase.com/oauth2/token
          scopes:
            wallet:user:read: View your account information.
            wallet:user:update: Update your account information.
            wallet:accounts:read: View your accounts.
            wallet:buys:create: Place, edit, and cancel orders.
            wallet:trades:read: View your cryptocurrency conversions.
            wallet:trades:create: Convert cryptocurrencies.
            wallet:transactions:read: View your transactions.
            wallet:transactions:transfer: Transfer funds between accounts.
            wallet:payment-methods:read: View your payment methods.

````